个人工具
名字空间
变换
操作

JspRun

来自站长百科
(重定向自JspRun!
跳转到: 导航, 搜索
Jsprun logo.jpg

JspRun!是北京飞速创想科技有限公司推出的一套通用的社区论坛软件系统,用户可以在不需要任何编程的基础上,通过简单的设置和安装,在互联网上搭建起具备完善功能、很强负载能力和可高度定制的论坛服务。

JspRun! 的基础架构采用流行的 web 编程组合 JAVA+MySQL 实现,是一个经过完善设计,适用于各种服务器环境的高效论坛系统解决方案。系统采用strutshibernate框架及中间件的结合既实现了业务逻辑与控制逻辑的有效分离,提高了层次结构的清晰度,提高了复用的粒度降低了开发代价和维护代价,同时保证了软件的质量使其更具有鲁棒性和可维护性。

对于站长而言,利用 JspRun! 均能够在最短的时间内,花费最低的费用,采用最少的人力,架设一个性能优异、功能全面、安全稳定的社区论坛平台。

对于网民而言,注册任何一个由 JspRun! 软件系统建立的网站/论坛,将能方便、快捷地享受到论坛带来的互动体验,进行发/回帖、添加/修改资料、站内短信、社区搜索等数百项基本论坛操作,以及进行社区交易、论坛悬赏等数十项高级社区应用。

目录

功能特点

一、强大而完善的功能

功能全面而强大,且简单易用,用户可以在不需要任何编程的基础上,通过简单的设置和安装,在互联网上搭建起具备完善功能、很强负载能力和可高度定制的论坛服务;同时Jsprun!社区论坛系统还提供了很大限度的个性化设定。众多功能在后台预留开关,可按企业需要启用。前台全部采用编译模板技术构建,更换界面易如反掌。完善的权限设定,使管理员可控制到每个用户,每个组及所在每个分论坛的各种权限。

二、周密的安全部署和攻击防护

Jsprun! 社区论坛系统能有效处理页面格式,保证页面及表格的完整性。安全检查应用于每一个Jsprun!代码中,可自动屏蔽贴子及签名等中的恶意代码和跨站脚本攻击。独有的全程操作记录,使论坛运行情况随时有据可查。Jsprun!社区论坛系统采用的基于J2EE的安全机制使整个系统的安全性大大提高,同时增加了 CC攻击防御策略和DDOS攻击防御策略使用户更省心更放心地使用Jsprun!社区论坛系统。

三、卓越的访问速度和负载能力

Jsprun!的数据缓存和自动更新机制坚固的数据结构及最少化数据库查询设计,使得Jsprun! 可以在极为繁忙的服务器环境下快速稳定运行,切实节约企业成本,提升企业形象。

四、JspRun!跨平台性

Jsprun!社区论坛系统具备跨平台特性,可以运行于 Linux/FreeBSD/Unix/SunOS 及微软 Windows2000/2003/2008 等各种操作系统环境下。

五、、持久的创新和广阔的前景

JspRun! 拥有一支富于创新的开发队伍,持续性的技术优势和不断增长的市场经验,除了强化已有的市场竞争力以外,更增强了已有和潜在客户的信心,我们并不满足于现有成果,我们时刻关注国内外相关领域内的最新进展和动态,不断的进步和创新,已使越来越多的人相信JspRun! 辉煌的明天。

如果您正在寻找一个出色的论坛解决方案,如果原有产品无法适应您企业的不断增长,如果您为不断提升的硬件需求而苦恼,如果您的网站因为服务器的不堪重负而停滞不前,JspRun! 将为您提供一个崭新的机遇和选择。


运行环境

操作系统要求

JspRun! 具备跨平台特性,可以运行于 Linux/FreeBSD/Unix/SunOS 及微软 Windows 2000/2003 等各种操作系统环境下。我们已在软件中针对上述操作系统做了大量的测试和实地检验,保证 JspRun! 可以在上述系统中安全稳定的运行,但您仍然需要做好服务器操作系统级的安全防备措施,例如 Windows 用户需更改 MySQL for Windows 的初始 root 密码,避免跨目录的文件读写;类Unix 用户需避免使用过于简单的密码,避免跨用户目录的文件读写,做好服务器上其他相关软件(如 Sendmail, ftpd, httpd)等的安全防范,使用较新的软件版本等。如果您租用虚拟主机,一般正规和技术力量较强的虚拟主机提供商会已经做好操作系统的各项准备,用户可不必关注此部分。

推荐使用 Linux/FreeBSD 操作系统,不仅完全免费,而且可以获得更好的稳定性和负载能力。

语言及数据库支撑环境要求

JspRun! 需要服务器上装有如下软件:

  1. 可用的 httpd 服务器(如 Apache、Tomcat5.0以上等)
  2. JDK 1.5 及以上
  3. Tomcat 5.0 及以上(tomcat6.0以上的某些版本对某些EL表达式不兼容)
  4. MySQL 3.23 及以上(仅针对 MySQL 版 JspRun!)

推荐使用 jdk 1.5.x+Apache 2.2.x+tomcat 5.x+mod_jk-1.2.x+mysql 5.x 的环境来安装JspRun!论坛。

以上软件均为跨平台的免费软件,推荐使用以上软件的最新稳定版本,不仅拥有更多的功能,而且通常已修复了已知老版本的安全漏洞。

如果您租用虚拟主机,请咨询虚拟主机提供商,您的空间服务器是否已安装了上述软件。一般的JSP虚拟主机商都会提供2个版本的环境软件供您选择。

您的 MySQL 数据库账号应当拥有 CREATE、DROP、ALTER 等执行权限,同时文件空间需不低于 30M,数据库空间不低于 5M,通常您的虚拟空间都会满足这个条件,以满足包括 JspRun! 在内的绝大多数网络软件的正常运行。如果您不了解具体情况,请咨询您的空间提供商。

技术手册

技术手册查看

模板教程

相关资源

相关条目

BBS 社区 论坛

参考来源

参考来源1

留言